# Class LocalDateTimeValueType

java.lang.Object
org.apache.cayenne.access.types.LocalDateTimeValueType

All Implemented Interfaces:
  `ValueObjectType<LocalDateTime, Timestamp>`

public class LocalDateTimeValueType extends Object implements ValueObjectType<LocalDateTime, Timestamp>

Since:
  4.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalDateTimeValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Timestamp`
  `fromJavaObject(LocalDateTime object)`
  `Class<Timestamp>`
  `getTargetType()`
  `Class<LocalDateTime>`
  `getValueType()`
  `String`
  `toCacheKey(LocalDateTime object)`
  Returned value should be same for objects that is logically equal.
  `LocalDateTime`
  `toJavaObject(Timestamp value)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ValueObjectType

  `equals`

- ## Constructor Details

  - ### LocalDateTimeValueType

    public LocalDateTimeValueType()

- ## Method Details

  - ### getTargetType

    public Class<Timestamp> getTargetType()
    Specified by:
      `getTargetType` in interface `ValueObjectType<LocalDateTime, Timestamp>`
    Returns:
      base type used to serialize V objects to.

  - ### getValueType

    public Class<LocalDateTime> getValueType()
    Specified by:
      `getValueType` in interface `ValueObjectType<LocalDateTime, Timestamp>`
    Returns:
      type of Objects described by this ValueObjectType.

  - ### toJavaObject

    public LocalDateTime toJavaObject(Timestamp value)
    Specified by:
      `toJavaObject` in interface `ValueObjectType<LocalDateTime, Timestamp>`
    Parameters:
      `value` - of type T
    Returns:
      java object

  - ### fromJavaObject

    public Timestamp fromJavaObject(LocalDateTime object)
    Specified by:
      `fromJavaObject` in interface `ValueObjectType<LocalDateTime, Timestamp>`
    Parameters:
      `object` - java object
    Returns:
      value of type T

  - ### toCacheKey

    public String toCacheKey(LocalDateTime object)
    Description copied from interface: `ValueObjectType`
    Returned value should be same for objects that is logically equal.
    Specified by:
      `toCacheKey` in interface `ValueObjectType<LocalDateTime, Timestamp>`
    Returns:
      String representation usable for cache.